import { ConfigService, HostAppService } from 'tabby-core';
import { ShellProvider } from 'tabby-local';
export declare abstract class WindowsBaseShellProvider extends ShellProvider {
    protected hostApp: HostAppService;
    protected config: ConfigService;
    constructor(hostApp: HostAppService, config: ConfigService);
    protected getEnvironment(): any;
}
